%define upstream_name    CGI-Application-Plugin-DBH
%define upstream_version 4.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Easy DBI access from CGI::Application
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI::Application)
BuildRequires: perl(DBD::Mock)
BuildRequires: perl(DBI)
BuildRequires: perl(Module::Build::Compat)

BuildArch: noarch


%description
CGI::Application::Plugin::DBH adds easy access to a DBI database handle to
your CGI::Application modules. Lazy loading is used to prevent a database
connection from being made if the 'dbh' method is not called during the
request. In other words, the database connection is not created until it is
actually needed. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/CGI

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 4.0.0-2.mga3
+ Revision: 363480
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 4.0.0-1.mga1
+ Revision: 25853
- mageia rebuild
- imported package perl-CGI-Application-Plugin-DBH

